install_freeipa-server:
  pkg.installed:
    - name: freeipa-server

set_dm_password:
  environ.setenv:
    - name: DM_PASSWORD
    - value: "{%- include 'secure/passwords/ipa_DM_password.txt' -%}"

set_admin_password:
  environ.setenv:
    - name: ADMIN_PASSWORD
    - value: "{%- include 'secure/passwords/ipa_ADMIN_password.txt' -%}"

setup_freeipa:
  cmd.run:
    - name: "ipa-server-install -U -p $DM_PASSWORD -a $ADMIN_PASSWORD --hostname=ipa.actcur.com -r ACTCUR.COM --mkhomedir"

unset_dm_password:
  environ.setenv:
    - name: DM_PASSWORD
    - value: "False"
    - false_unsets: true

unset_admin_password:
  environ.setenv:
    - name: ADMIN_PASSWORD
    - value: "False"
    - false_unsets: true
