rtorrent:
  pkg.installed
rutorrent:
  pkg.installed
rtorrent_nginx:
  pkg.installed:
    - name: nginx
  service.running:
    - name: nginx
    - enable: true
    - watch:
      - file: /etc/nginx/nginx.conf
rtorrent-screen:
  pkg.installed:
    - name: screen

plugin-pkgs:
  pkg.installed:
    - pkgs:
      - ffmpeg
      - mediainfo
      - unrar
      - unzip
      
rtorrent-php:
  pkg.installed:
    - name: php
rtorrent-php-fpm:
  pkg.installed:
    - name: php-fpm
  service.running:
    - name: php-fpm
    - enable: true
    - watch:
      - file: /etc/php/php.ini

/etc/nginx/nginx.conf:
  file.managed:
    - source: salt://roles/maintain/rtorrent/nginx.conf
    - user: root
    - group: root
    - mode: 644
    
/etc/php/php.ini:
  file.managed:
    - source: salt://roles/maintain/rtorrent/php.ini
    - user: root
    - group: root
    - mode: 644
    
/etc/webapps/rutorrent/conf/config.php:
  file.managed:
    - source: salt://roles/maintain/rtorrent/rutorrent.conf
    - user: root
    - group: root
    - mode: 644

/root/.rtorrent.rc:
  file.managed:
    - source: salt://roles/maintain/rtorrent/rtorrent.rc
    - user: root
    - group: root
    - mode: 644
    - mkdirs: true  
    
/opt/scripts/rtorrent.sh:
  file.managed:
    - source: salt://roles/maintain/rtorrent/rtorrent.sh
    - user: root
    - group: root
    - mode: 644
    - mkdirs: true  
    
/etc/systemd/system/rtorrent.service:
  file.managed:
    - source: salt://roles/maintain/rtorrent/rtorrent.service
    - user: root
    - group: root
    - mode: 644
    - mkdirs: true  
rtorrent_service:
  service.running:
    - name: rtorrent
    - enable: false
    - watch:
      - file: /root/.rtorrent.rc